declare type PartialFileSystem = {
    readFileSync(path: string, options: string): string;
    writeFileSync(path: string, data: string): void;
};
export interface FileStorageOptions {
    enabled: boolean;
    path?: string;
    fs?: PartialFileSystem;
}
export declare class FileStorage<TKeys extends string> {
    options: FileStorageOptions;
    private fs;
    constructor(options?: FileStorageOptions);
    isEmpty(): boolean;
    isInitialized(): boolean;
    getItem<TData = unknown>(key: TKeys): TData | undefined;
    setItem<TData = Record<string, unknown>>(key: TKeys, data: TData): void;
    clear(): void;
    private persist;
    private getStorage;
    private initializeStorage;
    private getSerializedStorage;
}
export {};
