import { Middleware } from './types';
import { OverrideManager } from './overrides';
import { ProxyManager } from './proxy';
import { ThrottlingManager } from './throttling';
import { FileStorage } from './storage';
export declare class UIManager {
    proxyManager: ProxyManager;
    throttlingManager: ThrottlingManager;
    overrideManager: OverrideManager;
    private fileStorage?;
    private display;
    private write;
    private clear;
    private linebreak;
    private line;
    private paragraph;
    private printConnection;
    private printConnectionOverrides;
    private printThrottling;
    private printOverrides;
    private printAvailableCommands;
    constructor(proxyManager: ProxyManager, throttlingManager: ThrottlingManager, overrideManager: OverrideManager, fileStorage?: FileStorage<string> | undefined);
    drawDashboard(): void;
    createDrawRequestMiddleware(): Middleware;
    drawMethodOverrideChanged(routePath: string, routeMethodType: string, selectedOverrideName: string): void;
    drawRouteProxyChanged(routePath: string, selectedProxyName: string): void;
}
